* [gentoo-commits] repo/gentoo:master commit in: games-action/geki2-KXL/, games-action/geki2-KXL/files/
@ 2016-07-06 19:46 Austin English
0 siblings, 0 replies; only message in thread
From: Austin English @ 2016-07-06 19:46 UTC (permalink / raw
To: gentoo-commits
commit: d9c72abe1fe26d9834172dcd1a04aa64be11f8c6
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 6 19:24:09 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed Jul 6 19:45:40 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9c72abe
games-action/geki2-KXL: remove deprecated games eclass
Also update to EAPI 6
Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: portage-2.2.28
.../geki2-KXL/files/geki2-KXL-2.0.3-cflags.patch | 4 +-
.../geki2-KXL/files/geki2-KXL-2.0.3-paths.patch | 16 +++----
games-action/geki2-KXL/geki2-KXL-2.0.3-r3.ebuild | 52 ++++++++++++++++++++++
3 files changed, 62 insertions(+), 10 deletions(-)
diff --git a/games-action/geki2-KXL/files/geki2-KXL-2.0.3-cflags.patch b/games-action/geki2-KXL/files/geki2-KXL-2.0.3-cflags.patch
index 9812e6d..d00f8d4 100644
--- a/games-action/geki2-KXL/files/geki2-KXL-2.0.3-cflags.patch
+++ b/games-action/geki2-KXL/files/geki2-KXL-2.0.3-cflags.patch
@@ -1,5 +1,5 @@
---- src/Makefile.am.old 2012-11-10 21:50:02.159117541 +0100
-+++ src/Makefile.am 2012-11-10 21:50:20.658715770 +0100
+--- a/src/Makefile.am 2012-11-10 21:50:02.159117541 +0100
++++ b/src/Makefile.am 2012-11-10 21:50:20.658715770 +0100
@@ -4,5 +4,5 @@
boss.h extern.h ranking.h your.h game.h\
geki2.h load.h opening.h my.h misc.h
diff --git a/games-action/geki2-KXL/files/geki2-KXL-2.0.3-paths.patch b/games-action/geki2-KXL/files/geki2-KXL-2.0.3-paths.patch
index 1e4d7db..2284420 100644
--- a/games-action/geki2-KXL/files/geki2-KXL-2.0.3-paths.patch
+++ b/games-action/geki2-KXL/files/geki2-KXL-2.0.3-paths.patch
@@ -1,13 +1,13 @@
---- bmp/Makefile.am
-+++ bmp/Makefile.am
+--- a/bmp/Makefile.am
++++ b/bmp/Makefile.am
@@ -1,4 +1,4 @@
-bmpdir = $(prefix)/share/geki2/bmp
+bmpdir = $(BMP_PATH)
bmp_DATA = back1.bmp boss2.bmp enemyshot4.bmp kuru.bmp myshot.bmp back2.bmp\
boss3.bmp enemyshot5.bmp mboss.bmp uraura.bmp back3.bmp\
boss3laser.bmp flash.bmp uturn.bmp back4.bmp back6.bmp boss6.bmp\
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -25,9 +25,9 @@
BMP_PATH=/usr/local/share/geki2/bmp
WAV_PATH=/usr/local/share/geki2/wav
@@ -21,8 +21,8 @@
fi
AC_DEFINE_UNQUOTED(DATA_PATH,"$DATA_PATH")
AC_DEFINE_UNQUOTED(BMP_PATH,"$BMP_PATH")
---- data/Makefile.am
-+++ data/Makefile.am
+--- a/data/Makefile.am
++++ b/data/Makefile.am
@@ -1,9 +1,7 @@
-datadir = $(prefix)/share/geki2/data
+datadir = $(DATA_PATH)
@@ -34,8 +34,8 @@
-install:
- $(INSTALL) -c -m 666 ./.score $(DESTDIR)$(DATA_PATH)
---- wav/Makefile.am
-+++ wav/Makefile.am
+--- a/wav/Makefile.am
++++ b/wav/Makefile.am
@@ -1,4 +1,4 @@
-wavdir = $(prefix)/share/geki2/wav
+wavdir = $(WAV_PATH)
diff --git a/games-action/geki2-KXL/geki2-KXL-2.0.3-r3.ebuild b/games-action/geki2-KXL/geki2-KXL-2.0.3-r3.ebuild
new file mode 100644
index 0000000..613ab63
--- /dev/null
+++ b/games-action/geki2-KXL/geki2-KXL-2.0.3-r3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils user
+
+DESCRIPTION="2D length scroll shooting game"
+HOMEPAGE="http://triring.net/ps2linux/games/kxl/kxlgames.html"
+SRC_URI="mirror://gentoo/${P}.tar.gz
+ mirror://gentoo/${PN}.png"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-games/KXL"
+RDEPEND="${DEPEND}
+ media-fonts/font-adobe-100dpi"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-cflags.patch
+ "${FILESDIR}"/${P}-paths.patch
+)
+
+pkg_setup(){
+ enewgroup gamestat 36
+}
+
+src_prepare() {
+ default
+ rm -f missing
+ sed -i \
+ -e '1i #include <string.h>' \
+ -e "s:DATA_PATH \"/.score\":\"/var/games/${PN}\":" \
+ src/ranking.c || die
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ insinto /var/games/
+ newins data/.score ${PN}
+ fowners root:gamestat /var/games/${PN} /usr/bin/geki2
+ fperms 660 /var/games/${PN}
+ fperms 2755 /usr/bin/geki2
+
+ doicon "${DISTDIR}"/${PN}.png
+ make_desktop_entry geki2 Geki2
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2016-07-06 19:46 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-07-06 19:46 [gentoo-commits] repo/gentoo:master commit in: games-action/geki2-KXL/, games-action/geki2-KXL/files/ Austin English
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox